Name:           python-hvcc
Version:        0.13.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        `hvcc` is a python-based dataflow audio programming language compiler that generates C/C++ code and a variety of specific framework wrappers.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Wasted-Audio/hvcc
Source:         %{pypi_source hvcc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'hvcc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-hvcc
Summary:        %{summary}

%description -n python3-hvcc %_description


%prep
%autosetup -p1 -n hvcc-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-hvcc -f %{pyproject_files}


%changelog
%autochangelog